%define name   cairolauncher
%define version 0.9
%define release %mkrel 1

Summary: Applications launcher for gnome
Name:	 %{name}
Version: %{version}
Release: %{release}
Group:   Graphical desktop/GNOME
License: GPLv2
URL:	 http://sourceforge.net/projects/cairolauncher/
Source:	 http://sourceforge.net/projects/cairolauncher/%{name}mm%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pkgconfig
BuildRequires: libgtkmm2.4_1-devel
BuildRequires: libpangomm2.4-devel
BuildRequires: libglibmm2.4-devel
BuildRequires: libpthread-stubs
BuildRequires: libatk1.0-devel
BuildRequires: libgtkglextmm1.2-devel


%description
CairoLauncher is a nice graphic applications launcher for gnome under linux. 
It is presented as an animated list that you can filter by name or personnal 
tags list. It is also possible to customize it : list order, application color 
and transparency.


%prep
%setup -q -n %{name}mm%{version}

%build

%make 

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

install -dm 755 %{buildroot}%{_datadir}/CairoLauncher
cp -af data/* %{buildroot}%{_datadir}/CairoLauncher

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 data/%{name}.png %{buildroot}%{_datadir}/pixmaps
convert %{buildroot}%_datadir/pixmaps/%{name}.png -resize 48x48 \
%{buildroot}%_datadir/pixmaps/%{name}.png


%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=%{version}
Encoding=UTF-8
Name=CairoLauncher
Comment=Nice graphic applications launcher
Icon=%{name}.png
Exec=%{name}
Type=Application
Categories=GNOME;Utility;X-MandrivaLinux-MoreApplications-Other;
EOF



%clean
rm -rf %{buildroot}

%post
%{update_menus}


%postun
%{clean_menus}


%files 
%defattr(-,root,root,-)
%doc LICENSE INSTALL
%{_bindir}/*
%{_datadir}/CairoLauncher
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/%{name}.png

%changelog
* Sun Sep 20 2009 slick50 <lgator@gmail.com> 0.9-1pclos2009
- initial pkg
